package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 库存管理对象 hxp_stock
 *
 * @author liubo
 * @date 2022-06-17
 */
@ApiModel("库存管理明细")
public class HxpStockOutVO {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    @Excel(name = "出库时间",sort = 1,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "出库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;

    @Excel(name = "化学品编号",sort = 2)
    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @Excel(name = "化学品名称",sort = 3)
    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @Excel(name = "cas号",sort = 4)
    @ApiModelProperty(value = "cas号")
    private String casNum;

    @Excel(name = "分类",sort = 7)
    @ApiModelProperty(value = "分类")
    private String classifyName;

    @Excel(name = "属性",sort = 8)
    @ApiModelProperty(value = "属性")
    private String classifyAttribute;

    @ApiModelProperty(value = "形态")
    private String chemicalShape;

    @Excel(name = "容量规格",sort = 9)
    @ApiModelProperty(value = "容量规格")
    private String chemicalAmountUnit;

    @Excel(name = "容器规格",sort = 10)
    @ApiModelProperty(value = "容器规格")
    private String tareUnit;

    @Excel(name = "标签类型",sort = 10)
    @ApiModelProperty(value = "标签类型")
    private String labelType;

    @Excel(name = "标签编号",sort = 11)
    @ApiModelProperty(value = "标签编号")
    private String tagCode;

    @Excel(name = "机柜名称",sort = 5)
    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;

    @Excel(name = "机柜位置",sort = 6)
    @ApiModelProperty(value = "机柜位置")
    private String posi;

    @Excel(name = "出库净重",sort = 13)
    @ApiModelProperty(value = "出库净重")
    private String outUsages;

    @Excel(name = "出库方式",sort = 12)
    @ApiModelProperty(value = "出库方式")
    private String stockStatus;

    @Excel(name = "操作人",sort = 14)
    @ApiModelProperty(value = "操作人")
    private String operator;

    @Excel(name = "身份验证",sort = 15)
    @ApiModelProperty(value = "身份验证")
    private String verify;

    @ApiModelProperty(value = "开关锁视频")
    private String closeLockVideo;

    public Date getOutTime() {
        return outTime;
    }

    public void setOutTime(Date outTime) {
        this.outTime = outTime;
    }

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getChemicalShape() {
        return chemicalShape;
    }

    public void setChemicalShape(String chemicalShape) {
        this.chemicalShape = chemicalShape;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public String getLabelType() {
        return labelType;
    }

    public void setLabelType(String labelType) {
        this.labelType = labelType;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getPosi() {
        return posi;
    }

    public void setPosi(String posi) {
        this.posi = posi;
    }

    public String getOutUsages() {
        return outUsages;
    }

    public void setOutUsages(String outUsages) {
        this.outUsages = outUsages;
    }

    public String getStockStatus() {
        return stockStatus;
    }

    public void setStockStatus(String stockStatus) {
        this.stockStatus = stockStatus;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getVerify() {
        return verify;
    }

    public void setVerify(String verify) {
        this.verify = verify;
    }

    public String getTareUnit() {
        return tareUnit;
    }

    public void setTareUnit(String tareUnit) {
        this.tareUnit = tareUnit;
    }

    public String getCloseLockVideo() {
        return closeLockVideo;
    }

    public void setCloseLockVideo(String closeLockVideo) {
        this.closeLockVideo = closeLockVideo;
    }
}
